> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create alert notification rule



## OpenAPI

````yaml post /api/v1/alert-rules/{id}/alert-notification-rules
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/alert-rules/{id}/alert-notification-rules:
    post:
      tags: []
      summary: Create alert notification rule
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AlertNotificationRuleSchema'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/AlertNotificationRuleSchema'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/AlertNotificationRuleSchema'
          application/edn:
            schema:
              $ref: '#/components/schemas/AlertNotificationRuleSchema'
        required: true
      responses:
        default:
          description: ''
          content: {}
components:
  schemas:
    AlertNotificationRuleSchema:
      required:
        - channel_parameters
        - channel_type
        - interval_seconds
        - notification_template
      type: object
      properties:
        channel_type:
          type: string
          enum:
            - slack
            - email
            - sms
            - webhook
        channel_parameters:
          type: object
        timezone:
          type: string
        interval_seconds:
          type: integer
          format: int64
        notification_template:
          type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````